> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debitdirect.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get merchants



## OpenAPI

````yaml get /Merchants
openapi: 3.0.4
info:
  title: Debitdirect.API
  version: '1.0'
servers: []
security: []
paths:
  /Merchants:
    get:
      tags:
        - Merchants
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Merchant'
            application/json:
              schema:
                $ref: '#/components/schemas/Merchant'
            text/json:
              schema:
                $ref: '#/components/schemas/Merchant'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '429':
          description: Too Many Requests
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    Merchant:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        handle:
          type: string
          nullable: true
        state:
          $ref: '#/components/schemas/MerchantStateEnum'
        createdAt:
          type: string
          format: date-time
        apiKeys:
          type: array
          items:
            $ref: '#/components/schemas/MerchantApiKey'
          nullable: true
        agreements:
          type: array
          items:
            $ref: '#/components/schemas/MerchantAgreement'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    MerchantStateEnum:
      enum:
        - Active
        - PendingActivation
        - InActive
      type: string
    MerchantApiKey:
      type: object
      properties:
        token:
          type: string
          nullable: true
      additionalProperties: false
    MerchantAgreement:
      type: object
      properties:
        scheme:
          type: string
          nullable: true
        handle:
          type: string
          nullable: true
        state:
          $ref: '#/components/schemas/AgreementStateEnum'
        schemeData:
          type: object
          additionalProperties:
            type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    AgreementStateEnum:
      enum:
        - Active
        - PendingActivation
        - InActive
      type: string

````